import {requestUtil} from "./requestUtil";

// const dict = new Map();

export const getDictionary = async (typeId) => {
    let item1 = localStorage.getItem("huayu-dict-" + typeId);
    console.log("item1: ", item1);
    if (item1) {
        return new Map(JSON.parse(item1).map(item => {
            return [item.itemCode, item]
        }))
    }
    // if (dict.has(typeId)) {
    //     return dict.get(typeId);
    // }
    let search = encodeURI(`{"data":[
    {"code":"type_id","value":"${typeId}","operateType":"="},
    {"code":"enable_flag","value":"1","operateType":"="}
    ]}`)
    let todo = await requestUtil.get(`/todo-server/search/dict_items?search=${search}`);
    let context = todo.content;
    let result;
    console.log({context})
    if (context.length > 0) {
        result = new Map(context.map(item => {
            if (item.jsonValue) {
                item.jsonValue = JSON.parse(item.jsonValue);
            }
            return [item.itemCode, item]
        }))
        localStorage.setItem("huayu-dict-" + typeId, JSON.stringify(context));
        // dict.set(typeId, result);
    }
    return result;
}