import React from "react";
import {Outlet,useNavigate} from "react-router-dom";
import {NavBar} from "antd-mobile";

const DetailNavBar = () => {

    const navigate = useNavigate();

    const handleClick =()=> {
        console.log("click",navigate.length);
        navigate(-1)
    }
    const [title,setTitle] = React.useState("");
    const updateTitle=(value)=>{
        setTitle(value)
    }
    return (
        <div className='detail'>
            <NavBar back='返回' onBack={handleClick}>{title}</NavBar><Outlet context={{"setTitle":updateTitle}}/>
        </div>
    )

}
export default DetailNavBar;