import React, {Fragment, useContext, useEffect} from 'react'
import Bottom from './../Bottom/index'
import './index.css'
import {Outlet, useLocation} from 'react-router-dom'
import DetailSearchBar from "../../components/DetailSearchBar";

const Home = () => {

    const location = useLocation();
    console.log("Home", location);
    return (
        <div className='body'>

            {
                location.pathname.endsWith("/calTask") ? (
                    <Fragment>
                        <div style={{marginBottom: "49px", width: "100%"}}>
                            <Outlet />
                        </div>
                    </Fragment>
                ) : (<Fragment>
                        <DetailSearchBar/>
                        <div style={{marginTop: "40px", marginBottom: "49px", width: "100%"}}>
                            <Outlet/>
                        </div>
                    </Fragment>
                )
            }
            <Bottom/>
        </div>
    )
}

export default Home;