import dayjs from "dayjs";

const DATE_FORMAT = "YYYY-MM-DD"
// 到秒没啥意义
const DATE_TIME_FORMAT = "YYYY-MM-DD HH:mm"

const DATE_TIME_FORMAT_SIMPLE = "MM-DD HH:mm"

function dayStartUtcFormat(dayjs) {
    if (dayjs) {
        return dayjs.set('h', 0).set('m', 0).set('s', 0).set('ms', 0).format()
    }
    return null;
}

function nextDayStartUtcFormat(dayjs) {
    if (dayjs) {
        return dayjs.add(1, "d").set('h', 0).set('m', 0).set('s', 0).set('ms', 0).format()
    }
    return null
}

export {DATE_TIME_FORMAT, DATE_FORMAT,DATE_TIME_FORMAT_SIMPLE,dayStartUtcFormat,nextDayStartUtcFormat}